Bug 825246 - QuickStart Issue: BookMarks
QuickStart Issue: BookMarks
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Templates (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Linqing Lu
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 08:49 EDT by Attila Nagy
Modified: 2015-05-14 21:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 13:59:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Server logs (7.43 KB, text/x-log)
2012-05-25 08:49 EDT, Attila Nagy
no flags Details

  None (edit)
Description Attila Nagy 2012-05-25 08:49:13 EDT
Description of problem: QuickStart application BookMarks cannot be started.


Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Follow instructions on https://github.com/openshift/BookMarks-openshift-quickstart
  

Actual results: 500 Internal Server Errror (Server logs are attached)


Expected results: The application must be accessible without any problems.


Additional info:
Comment 1 Attila Nagy 2012-05-25 08:49:45 EDT
Created attachment 586856 [details]
Server logs
Comment 2 Mrunal Patel 2012-05-25 17:36:46 EDT
The example needs to be updated for Django 1.4. There are a couple of issues:
1. These are deprecated and need to be removed from the settings.py file   'django.middleware.csrf.CsrfViewMiddleware'   'django.middleware.csrf.CsrfResponseMiddleware'
See here: https://docs.djangoproject.com/en/1.3/ref/contrib/csrf/#legacy-method

2. Engine should be specified as
'ENGINE': 'django.db.backends.mysql' instead of just mysql
Comment 3 Linqing Lu 2012-05-27 00:35:07 EDT
Fixed.

Available on https://github.com/lulinqing/BookMarks-openshift-quickstart
Will be updated into openshift group later.
Comment 4 Linqing Lu 2012-05-27 08:57:45 EDT
Updated to OpenShift repo.

Note You need to log in before you can comment on or make changes to this bug.